MKVINFO(1)

NOMBRE
mkvinfo - Imprime la información respecto a los elementos de los archivos Matroska(TM)

SINOPSIS

mkvinfo [opciones] {nombre-archivo}

DESCRIPCIÓN

Este programa muestra una lista de todos los elementos contenidos en un archivo Matroska(TM). La salida puede ser limitada a una lista de pistas en un archivo incluyendo información acerca de los códecs usados.

-g, --gui
    Inicia la GUI. Esta opción sólo está disponible si mkvinfo fue compilado con compatibilidad para GUI.

-c, --checksums
    Calcula y muestra el checksum Adler32 para cada fotograma. Útil sólo para depuración.

-s, --summary
    Sólo muestra un breve resumen de lo que mkvinfo(1) encuentra y no de cada elemento.

-t, --track-info
    Muestra la estadística de cada pista en el modo detallado. También establece la verbosidad a 1 si antes era 0.

-x, --hexdump
    Muestra los primeros 16 bytes de cada fotograma como un dump (volcado) hexadecimal.

-X, --full-hexdump
    Muestra todos los bytes de cada fotograma como un dump (volcado) hexadecimal.

-z, --size
    Muestra el tamaño de cada elemento incluyendo su encabezado.

--command-line-charset conjunto-caracteres
    Establece el conjunto de caracteres a convertir las cadenas de texto dadas desde la línea de comandos. Por defecto, se ajusta al conjunto de caracteres dado por la configuración local del sistema.

--output-charset conjunto-caracteres
    Establece el conjunto de caracteres para convertir las cadenas de texto que serán usadas en el archivo de salida. Por defecto, se ajusta al conjunto de caracteres dado por la configuración local del sistema.

-r, --redirect-output nombre-archivo
    Escribe todos los mensajes al archivo nombre-archivo en vez de en la consola. Mientras esto puede ser realizado fácilmente con una redirección de salida hay casos en el que esta opción es necesaria: cuando el terminal reinterpreta la salida antes la escribe a un archivo. El conjunto de caracteres establecidos con --output-charset se respeta.

--ui-language código
    Fuerza la traducción al código de idioma que será usado (p.e. 'de_DE' para la traducción al Alemán). Introduciendo 'list' como código provocará que el programa muestre una lista de las traducciones disponibles.

--debug topic
    Habilita la depuración para una característica concreta. Esta opción sólo es útil para desarrolladores.

--engage característica
    Activa características experimentales. Una lista de características disponibles pueden ser solicitada con mkvinfo --engage list. Estas características no están destinadas para ser utilizadas en situaciones normales.

--gui-mode
    Habilita el modo GUI. En este modo las líneas especialmente formateadas pueden ser generadas para decirle a un control de la GUI lo que está pasando. Estos mensajes se rigen bajo el formato '#GUI#mensaje'. El mensaje puede ser continuado por pares de valores/claves como en '#GUI#mensaje#clave1=valor1#clave2=valor2...'. Ni los mensajes ni las claves pueden ser traducidas y siempre se generan en inglés.

    Este comando no tiene nada que ver con el parámetro --gui el cual provoca que mkvinfo muestre su propia GUI.

-v, --verbose
    Ser más detallado. Mire la sección acerca de niveles de detalle para una descripción de que información será generada en cada nivel.

-h, --help
    Muestra información de uso y sale.

-V, --version
    Muestra la información de la versión y sale.

--check-for-updates
    Comprueba online si hay nuevas versiones al descargar el archivo ubicado en la URL http://mkvtoolnix-releases.bunkus.org/latest-release.xml. Cuatro líneas serán generadas del tipo clave=valor: la URL desde donde se obtuvo la información (clave version_check_url), la versión actual (clave running_version), la última versión disponible (clave available_version) y la URL de descarga (clave download_url).

    Después el programa sale con un código de salida 0 si ninguna versión nueva está disponible, con 1 si hay disponible una versión más actual y con 2 si ocurre algún error (p.e. si la información de la actualización no puede ser obtenida).

    Esta opción sólo está disponible si el programa fue creado con compatibilidad para libcurl.

@options-file.json
    Lee argumentos adicionales de la línea de comandos desde el archivo archivo-opciones. Para más información sobre los formatos admitidos para esos archivos mire la sección acerca de "archivos de opciones" en la página del manual de mkvmerge(1)

NIVELES DE DETALLE

La opción -v puede ser usada para incrementar el nivel de verbosidad mkvinfo(1) e imprimir más información sobre al archivo actual.

En el nivel 0 mkvinfo(1) imprimirá sólo los encabezados de la pista que encuentra y sus tipos. mkvinfo(1) saldrá tan pronto como los encabezados sean analizados completamente (más técnico: tan pronto como el primer clúster sea encontrado). En este nivel, la búsqueda de entradas del encabezado y los índices no será mostrados -- incluso si ellos están localizados al principio de la información de la pista.

En el nivel 1 mkvinfo(1) también imprimirá todos los elementos encontrados Matroska(TM) en todo el archivo al buscar las entradas del encabezado y del índice. Si el modo resumen está habilitado entonces mkvinfo(1) también generará la posición del fotograma.

En el nivel 2 mkvinfo(1) también imprimirá las entradas buscadas del encabezado, las del índice y la posición en el archivo en el que cada elemento Matroska(TM) pudo ser encontrado.

En el nivel 3 y superiores mkvinfo(1) imprimirá algo de información que no está directamente relacionada al elemento Matroska(TM). El resto de elementos sólo imprimirá datos sobre los elementos que fueron encontrados. El nivel 3 añade meta información para facilitar la depuración (leer: está indicado para desarrolladores). Todas las líneas escritas por el nivel 3 están cerradas entre corchetes para facilitar el filtrado.

CONVERSIÓN DE ARCHIVOS DE TEXTO Y CONJUNTO DE CARACTERES

Para una discusión en profundidad sobre como la suite de MkvToolNix manipula las conversiones de caracteres, la codificación entrada/salida y la codificación de la línea de comandos y consola, por favor consulte la sección llamada de igual manera en la pagina del manual para mkvmerge(1).

CÓDIGOS DE SALIDA

mkvinfo(1) finaliza con uno de estos tres códigos de salida:

    • 0 -- Este código de salida significa que la extracción se ha realizado correctamente.

    • 1 -- En este caso mkvinfo(1) genera una salida con al menos una advertencia, pero la extracción continuó. Una advertencia es prefijada con el texto 'Advertencia:'.

    • 2 -- Este código de salida es usado después de que ocurra un error. mkvinfo(1) aborta el proceso justo después de mostrar el mensaje de error. El rango de los mensajes de error va desde los argumentos de la línea de comandos, por delante de los errores de lectura/escritura, hasta los archivos erróneos.

CARACTERES ESPECIALES DE ESCAPE EN EL TEXTO

Hay pocos sitios en los que los caracteres especiales en el texto puedan o deban ser escapados. Las reglas del escape son simples: cada carácter que necesite ser escapado es reemplazado con una barra invertida seguida de otro carácter.

Las reglas son: ' ' (un espacio) se convierte a '\s', '"' (doble comillas) sería '\2', ':' se convierte a '\c', '#' se reemplazada como '\h' y '\' (una barra invertida) se expresaría como '\\'.

VARIABLES DE ENTORNO

mkvinfo(1) usa las variables predefinidas que se determinan en la configuración local del sistema (p.e. LANG y la familia LC_*). Variables adicionales:

MKVINFO_DEBUG, MKVTOOLNIX_DEBUG y su forma abreviada MTX_DEBUG
    El contenido se trata como si se hubiese pasado a través de la opción --debug.

MKVINFO_ENGAGE, MKVTOOLNIX_ENGAGE y su forma abreviada MTX_ENGAGE
    El contenido se trata como si se hubiese pasado a través de la opción --engage.

MKVINFO_OPTIONS, MKVTOOLNIX_OPTIONS y su forma abreviada MTX_OPTIONS
    El contenido es dividido en espacios en blanco. Las cadenas de texto parciales resultantes son tratadas como si hubiesen sido pasadas como opciones a la línea de comandos. Si necesitas pasar caracteres especiales (p.e. espacios) entonces tienes que escaparlos (mire la sección caracteres especiales de escape en el texto).

VEA TAMBIÉN

mkvmerge(1), mkvextract(1), mkvpropedit(1), mkvtoolnix-gui(1)

WWW

La última versión se puede encontrar siempre en la página de MKVToolNix[1].

AUTOR

Moritz Bunkus <moritz@bunkus.org>
    Desarrollador

NOTAS

1.  la página de MKVToolNix
    https://mkvtoolnix.download/